org.jetlang.web

## Class HttpResponse.Default

- java.lang.Object
- - org.jetlang.web.HttpResponse.Default

All Implemented Interfaces:
  HttpResponse

Enclosing interface:
  HttpResponse

    public static class HttpResponse.Default
    extends Object
    implements HttpResponse

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jetlang.web.HttpResponse

`HttpResponse.Decorator, HttpResponse.Default`

### Constructor Summary

Constructors
Constructor and Description
`Default(NioWriter writer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SocketAddress` `getRemoteAddress()`
`SendResult` `send(ByteBuffer fullResponse)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jetlang.web.HttpResponse

`sendResponse, sendResponse, sendResponse, sendResponse, sendWebsocketHandshake`

### Constructor Detail

#### Default

    public Default(NioWriter writer)

### Method Detail

#### send

    public SendResult send(ByteBuffer fullResponse)

Specified by:
  `send` in interface `HttpResponse`

#### getRemoteAddress

    public SocketAddress getRemoteAddress()

Specified by:
  `getRemoteAddress` in interface `HttpResponse`